<?php
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class Group extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    
    public $table = "Group";
    public function up()
    {
        if ( Schema::hasTable("Group") ) {
            $this->down();
            Schema::create("Group", function (Blueprint $table) {
                $table->increments('id');
                $table->integer('group');$table->integer('siveyangroupla');
                $table->timestamps();
                $table->softDeletes();
            });
        }
        else{
            Schema::create("Group", function (Blueprint $table) {
                $table->increments('id');
                $table->integer('group');$table->integer('siveyangroupla');
                $table->timestamps();
                $table->softDeletes();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('Group');
    }
}
